# CKEditor 3.0 JavaScript API Documentation

Code Index | File Index

## Namespaces

- CKEDITOR
- CKEDITOR.ajax
- CKEDITOR.config
- CKEDITOR.dom
- CKEDITOR.dtd
- CKEDITOR.env
- CKEDITOR.imageCacher
- CKEDITOR.loader
- CKEDITOR.plugins
- CKEDITOR.resourceManager
- CKEDITOR.scriptLoader
- CKEDITOR.skins
- CKEDITOR.test
- CKEDITOR.themes
- CKEDITOR.tools

## Classes

- CKEDITOR.commandDefinition
- CKEDITOR.dialog
- CKEDITOR.dialog.buttonDefinition
- CKEDITOR.dialog.contentDefinition
- CKEDITOR.dialog.contentDefinitionObject
- CKEDITOR.dialog.dialogDefinition
- CKEDITOR.dialog.dialogDefinitionObject
- CKEDITOR.dialog.uiElementDefinition
- CKEDITOR.dialogCommand
- CKEDITOR.dom.document
- CKEDITOR.dom.domObject
- CKEDITOR.dom.element
- CKEDITOR.dom.event
- CKEDITOR.dom.node
- CKEDITOR.dom.selection
- CKEDITOR.dom.text
- CKEDITOR.dom.window
- CKEDITOR.editor
- CKEDITOR.event
- CKEDITOR.eventInfo
- CKEDITOR.focusManager
- CKEDITOR.htmlParser
- CKEDITOR.htmlParser.cdata
- CKEDITOR.htmlParser.comment
- CKEDITOR.htmlParser.element
- CKEDITOR.htmlParser.fragment
- CKEDITOR.htmlParser.text
- CKEDITOR.htmlWriter
- CKEDITOR.keystrokeHandler
- CKEDITOR.pluginDefinition
- CKEDITOR.ui
- CKEDITOR.ui.button
- CKEDITOR.ui.dialog.button
- CKEDITOR.ui.dialog.checkbox
- CKEDITOR.ui.dialog.file
- CKEDITOR.ui.dialog.fileButton
- CKEDITOR.ui.dialog.hbox
- CKEDITOR.ui.dialog.html
- CKEDITOR.ui.dialog.labeledElement
- CKEDITOR.ui.dialog.radio
- CKEDITOR.ui.dialog.select
- CKEDITOR.ui.dialog.textarea
- CKEDITOR.ui.dialog.textInput
- CKEDITOR.ui.dialog.uiElement
- CKEDITOR.ui.dialog.vbox
- CKEDITOR.ui.handlerDefinition
- CKEDITOR.xml

# Namespace CKEDITOR.skins

Manages skins loading.
Defined in: core/skins.js.

Namespace Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| CKEDITOR.skins Manages skins loading.

Method Summary
Method Attributes | Method Name and Description
--- | ---
<static> | CKEDITOR.skins.add(skinName, skinDefinition) Registers a skin definition.
<static> | CKEDITOR.skins.load(skinName, skinPart, callback) Loads a skin part.

Namespace Detail
CKEDITOR.skins
Since: 3.0
Manages skins loading.
Method Detail
<static> {Undefined} CKEDITOR.skins.add(skinName, skinDefinition)
Since: 3.0
Registers a skin definition.

Parameters:
{String} skinName
  The skin name.
{Object} skinDefinition
  The skin definition.

<static> {Undefined} CKEDITOR.skins.load(skinName, skinPart, callback)
Since: 3.0
Loads a skin part. Skins are defined in parts, which are basically separated CSS files. This function is mainly used by the core code and should not have much use out of it.

Parameters:
{String} skinName
  The name of the skin to be loaded.
{String} skinPart
  The skin part to be loaded. Common skin parts are "editor" and "dialog".
{Function} callback Optional
  A function to be called once the skin part files are loaded.

Copyright © 2003-2009, CKSource - Frederico Knabben. All rights reserved.